Payment Operations
Refund a payment
POST
/
payments
/
{payment_id}
/
refund
Refund a payment
curl --request POST \
--url https://commerce1.on-hellgate.dev/payments/{payment_id}/refund \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"amount": 2,
"currency_code": "<string>",
"distributions": [
{
"amount": 123,
"seller_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
]
}
'import requests
url = "https://commerce1.on-hellgate.dev/payments/{payment_id}/refund"
payload = {
"amount": 2,
"currency_code": "<string>",
"distributions": [
{
"amount": 123,
"seller_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 2,
currency_code: '<string>',
distributions: [
{
amount: 123,
seller_account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>'
}
]
})
};
fetch('https://commerce1.on-hellgate.dev/payments/{payment_id}/refund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"additional_information": {},
"amount": 123,
"continuation": {
"error": "<string>",
"success": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"distributions": [
{
"amount": 123,
"description": "<string>",
"seller_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"order_id": "<string>",
"payment_method": {
"data": {},
"token": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"processing": {
"requirement": {
"action": "<string>",
"message": "<string>",
"options": [
{}
]
}
},
"processor": {
"amount_authorized": 123,
"amount_captured": 123,
"amount_refunded": 123,
"merchant_id": "<string>",
"name": "<string>"
},
"refunds": [
{
"amount": 123,
"created_at": "2023-11-07T05:31:56Z",
"currency_code": "<string>",
"distributions": [
{
"amount": 123,
"description": "<string>",
"seller_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>"
}
],
"settlements": [
{
"amount": 123,
"currency_code": "<string>",
"date": "2023-11-07T05:31:56Z",
"settlement_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlement_report_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
],
"transactions": [
{
"amount": 123,
"ended_at": "2023-11-07T05:31:56Z",
"failure_reasons": [
{
"classifier": "<string>",
"message": "<string>"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"processor_name": "<string>",
"processor_transaction_id": "<string>",
"started_at": "2023-11-07T05:31:56Z"
}
]
}{
"classifier": "<string>",
"code": 123,
"message": "<string>"
}{
"classifier": "<string>",
"code": 123,
"message": "<string>"
}{
"classifier": "<string>",
"code": 123,
"message": "<string>"
}Authorizations
Headers
Identifies the account. Required when authenticating via mTLS — omit when using an API key (account is inferred from the key).
Idempotency key
Path Parameters
Payment ID
Body
application/json
Body
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
OPEN, AUTHORIZED, ACCEPTED, FAILED, COMPLETED, VOIDED Show child attributes
Show child attributes
⌘I
Refund a payment
